/**
 * Copyright 2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 */
package com.sunlabs.archsim.testDriver;

import junit.framework.TestSuite;
import junit.textui.TestRunner;

import com.sunlabs.archsim.base.hierarchy.IDGeneratorTestClass;
import com.sunlabs.archsim.base.simulation.DelayClassTest;
import com.sunlabs.archsim.base.simulation.EventTestClass;
import com.sunlabs.archsim.base.simulation.TimeClassTest;
import com.sunlabs.archsim.classRegistry.ClassRegistryTest;
import com.sunlabs.archsim.engine.EventHeapClassTest;
import com.sunlabs.archsim.engine.EventHeapQueueTestClass;
import com.sunlabs.archsim.engine.EventListQueueTestClass;
import com.sunlabs.archsim.tests.branch.BranchJUTest;

/**
 * This program invokes JUnit for general Archsim packages.
 * @author ib27688
 */
public class JUArchsimTestDriver {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		// package all tests into a suite
		TestSuite suite= new TestSuite();
		suite.addTestSuite(EventListQueueTestClass.class);
		suite.addTestSuite(BranchJUTest.class);
		suite.addTestSuite(EventHeapQueueTestClass.class);
		suite.addTestSuite(DelayClassTest.class);
		suite.addTestSuite(EventTestClass.class);
		suite.addTestSuite(IDGeneratorTestClass.class);
		suite.addTestSuite(EventHeapClassTest.class);
		suite.addTestSuite(TimeClassTest.class);
		suite.addTestSuite(ClassRegistryTest.class);
		
		// run the test suite
		TestRunner.run(suite);
		
	}

}
